## rekor 1.3.9

=== Makefile ===
#
# Copyright 2021 The Sigstore Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

.PHONY: all test clean clean-gen lint gosec ko ko-local cross-cli gocovmerge

all: rekor-cli rekor-server

include Makefile.swagger

OPENAPIDEPS = openapi.yaml $(shell find pkg/types -iname "*.json")
SRCS = $(shell find cmd -iname "*.go") $(shell find pkg -iname "*.go"|grep -v pkg/generated) pkg/generated/restapi/configure_rekor_server.go $(SWAGGER_GEN)
TOOLS_DIR := hack/tools
TOOLS_BIN_DIR := $(abspath $(TOOLS_DIR)/bin)
BIN_DIR := $(abspath $(ROOT_DIR)/bin)
FUZZ_DURATION ?= 10s

PROJECT_ID ?= projectsigstore
RUNTIME_IMAGE ?= gcr.io/distroless/static
# Set version variables for LDFLAGS
GIT_VERSION ?= $(shell git describe --tags --always --dirty)
GIT_HASH ?= $(shell git rev-parse HEAD)
DATE_FMT = +%Y-%m-%dT%H:%M:%SZ
SOURCE_DATE_EPOCH ?= $(shell git log -1 --pretty=%ct)
ifdef SOURCE_DATE_EPOCH
    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u "$(DATE_FMT)")
else
    BUILD_DATE ?= $(shell date "$(DATE_FMT)")
endif
GIT_TREESTATE = "clean"
DIFF = $(shell git diff --quiet >/dev/null 2>&1; if [ $$? -eq 1 ]; then echo "1"; fi)
ifeq ($(DIFF), 1)
    GIT_TREESTATE = "dirty"
endif

KO_PREFIX ?= gcr.io/projectsigstore
export KO_DOCKER_REPO=$(KO_PREFIX)
REKOR_YAML ?= rekor-$(GIT_VERSION).yaml
GHCR_PREFIX ?= ghcr.io/sigstore/rekor
GOBIN ?= $(shell go env GOPATH)/bin

# Binaries
SWAGGER := $(TOOLS_BIN_DIR)/swagger
GO-FUZZ-BUILD := $(TOOLS_BIN_DIR)/go-fuzz-build
GOCOVMERGE := $(TOOLS_BIN_DIR)/gocovmerge

REKOR_LDFLAGS=-X sigs.k8s.io/release-utils/version.gitVersion=$(GIT_VERSION) \
              -X sigs.k8s.io/release-utils/version.gitCommit=$(GIT_HASH) \
              -X sigs.k8s.io/release-utils/version.gitTreeState=$(GIT_TREESTATE) \
              -X sigs.k8s.io/release-utils/version.buildDate=$(BUILD_DATE)

CLI_LDFLAGS=$(REKOR_LDFLAGS)
SERVER_LDFLAGS=$(REKOR_LDFLAGS)

Makefile.swagger: $(SWAGGER) $(OPENAPIDEPS)
	$(SWAGGER) validate openapi.yaml
	$(SWAGGER) generate client -f openapi.yaml -q -r COPYRIGHT.txt -t pkg/generated --additional-initialism=TUF --additional-initialism=DSSE
	$(SWAGGER) generate server -f openapi.yaml -q -r COPYRIGHT.txt -t pkg/generated --exclude-main -A rekor_server --flag-strategy=pflag --default-produces application/json --additional-initialism=TUF --additional-initialism=DSSE
	@echo "# This file is generated after swagger runs as part of the build; do not edit!" > Makefile.swagger
	@echo "SWAGGER_GEN=`find pkg/generated/client pkg/generated/models pkg/generated/restapi -iname '*.go' | grep -v 'configure_rekor_server' | sort -d | tr '\n' ' ' | sed 's/ $$//'`" >> Makefile.swagger;

lint:
	$(GOBIN)/golangci-lint run -v ./...

gosec:
	$(GOBIN)/gosec ./...

rekor-cli: $(SRCS)
	CGO_ENABLED=0 go build -trimpath -ldflags "$(CLI_LDFLAGS)" -o rekor-cli ./cmd/rekor-cli

rekor-server: $(SRCS)
	CGO_ENABLED=0 go build -trimpath -ldflags "$(SERVER_LDFLAGS)" -o rekor-server ./cmd/rekor-server

backfill-index: $(SRCS)
	CGO_ENABLED=0 go build -trimpath -ldflags "$(SERVER_LDFLAGS)" -o backfill-index ./cmd/backfill-index

test:
	go test ./...

gocovmerge: $(GOCOVMERGE)

clean:
	rm -rf dist
	rm -rf hack/tools/bin
	rm -rf rekor-cli rekor-server
	rm -f *fuzz.zip

clean-gen: clean
	rm -rf $(SWAGGER_GEN)

up:
	docker-compose -f docker-compose.yml build --build-arg SERVER_LDFLAGS="$(SERVER_LDFLAGS)"
	docker-compose -f docker-compose.yml up

debug:
	docker-compose -f docker-compose.yml -f docker-compose.debug.yml build --build-arg SERVER_LDFLAGS="$(SERVER_LDFLAGS)" rekor-server-debug
	docker-compose -f docker-compose.yml -f docker-compose.debug.yml up rekor-server-debug

ko:
	# rekor-server
	LDFLAGS="$(SERVER_LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
	KO_DOCKER_REPO=$(KO_PREFIX)/rekor-server ko resolve --bare \
		--platform=all --tags $(GIT_VERSION) --tags $(GIT_HASH) \
		--image-refs rekorServerImagerefs --filename config/ > $(REKOR_YAML)

	# rekor-cli
	LDFLAGS="$(CLI_LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
	ko publish --base-import-paths \
		--platform=all --tags $(GIT_VERSION) --tags $(GIT_HASH) \
		--image-refs rekorCliImagerefs github.com/sigstore/rekor/cmd/rekor-cli

	# backfill-index
	LDFLAGS="$(SERVER_LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
	ko publish --base-import-paths \
		--platform=all --tags $(GIT_VERSION) --tags $(GIT_HASH) \
		--image-refs bIndexImagerefs github.com/sigstore/rekor/cmd/backfill-index

deploy:
	LDFLAGS="$(SERVER_LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) ko apply -f config/

e2e:
	go test -c -tags=e2e ./tests
	go test -c -tags=e2e ./pkg/pki/x509
	go test -c -tags=e2e ./pkg/pki/tuf
	go test -c -tags=e2e ./pkg/types/rekord

.PHONY: sign-keyless-ci
sign-keyless-ci: ko
	cosign sign --yes -a GIT_HASH=$(GIT_HASH) $(KO_DOCKER_REPO)/rekor-server:$(GIT_HASH)
	cosign sign --yes -a GIT_HASH=$(GIT_HASH) $(KO_DOCKER_REPO)/rekor-cli:$(GIT_HASH)

.PHONY: ko-local
ko-local:
	KO_DOCKER_REPO=ko.local LDFLAGS="$(SERVER_LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
	ko publish --base-import-paths \
		--tags $(GIT_VERSION) --tags $(GIT_HASH) --image-refs rekorImagerefs \
		github.com/sigstore/rekor/cmd/rekor-server

	KO_DOCKER_REPO=ko.local LDFLAGS="$(CLI_LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
	ko publish --base-import-paths \
		--tags $(GIT_VERSION) --tags $(GIT_HASH) --image-refs cliImagerefs \
		github.com/sigstore/rekor/cmd/rekor-cli

	KO_DOCKER_REPO=ko.local LDFLAGS="$(SERVER_LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
	ko publish --base-import-paths \
		--tags $(GIT_VERSION) --tags $(GIT_HASH) --image-refs indexImagerefs \
		github.com/sigstore/rekor/cmd/backfill-index

.PHONY: fuzz
# This runs the fuzz tests for a short period of time to ensure they don't crash.
fuzz:
	go test -fuzz FuzzCreateEntryIDFromParts -fuzztime $(FUZZ_DURATION) ./pkg/sharding
	go test -fuzz FuzzGetUUIDFromIDString -fuzztime $(FUZZ_DURATION) ./pkg/sharding
	go test -fuzz FuzzGetTreeIDFromIDString -fuzztime $(FUZZ_DURATION) ./pkg/sharding
	go test -fuzz FuzzPadToTreeIDLen -fuzztime $(FUZZ_DURATION) ./pkg/sharding
	go test -fuzz FuzzReturnEntryIDString -fuzztime $(FUZZ_DURATION) ./pkg/sharding
	go test -fuzz FuzzTreeID -fuzztime $(FUZZ_DURATION) ./pkg/sharding
	go test -fuzz FuzzValidateUUID -fuzztime $(FUZZ_DURATION) ./pkg/sharding
	go test -fuzz FuzzValidateTreeID -fuzztime $(FUZZ_DURATION) ./pkg/sharding
	go test -fuzz FuzzValidateEntryID -fuzztime $(FUZZ_DURATION) ./pkg/sharding

## --------------------------------------
## Tooling Binaries
## --------------------------------------

$(GO-FUZZ-BUILD): $(TOOLS_DIR)/go.mod
	cd $(TOOLS_DIR); go build -trimpath -tags=tools -o $(TOOLS_BIN_DIR)/go-fuzz-build github.com/dvyukov/go-fuzz/go-fuzz-build

$(SWAGGER): $(TOOLS_DIR)/go.mod
	cd $(TOOLS_DIR); go build -trimpath -tags=tools -o $(TOOLS_BIN_DIR)/swagger github.com/go-swagger/go-swagger/cmd/swagger

$(GOCOVMERGE): $(TOOLS_DIR)/go.mod
	cd $(TOOLS_DIR); go build -trimpath -tags=tools -o $(TOOLS_BIN_DIR)/gocovmerge github.com/wadey/gocovmerge

##################
# help
##################

help: # Display help
	@awk -F ':|##' \
		'/^[^\t].+?:.*?##/ (\
			printf "\033[36m%-30s\033[0m %s\n", $$1, $$NF \
		)' $(MAKEFILE_LIST) | sort

include release/release.mk

## rekor 1.3.5

=== debian/changelog ===
rekor (1.3.5-2ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 02 Jul 2025 15:36:44 +1000

rekor (1.3.5-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 23 Jun 2024 06:11:00 -0400

rekor (1.3.5-1) experimental; urgency=medium

  * New upstream release

 -- Simon Josefsson <simon@josefsson.org>  Sun, 18 Feb 2024 19:41:18 +0100

rekor (1.3.4-1) experimental; urgency=medium

  [ Simon Josefsson ]
  * Further packaging and release. Closes: #990249, #1050314.

  [ Reinhard Tartler ]
  * Initial packaging.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 02 Feb 2024 00:49:07 +0100

=== debian/control ===
Source: rekor
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Simon Josefsson <simon@josefsson.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-asaskevich-govalidator-dev (>> 11.0.1~),
 golang-github-blang-semver-dev,
 golang-github-go-chi-chi-dev,
 golang-github-go-openapi-errors-dev,
 golang-github-go-openapi-runtime-dev,
 golang-github-go-openapi-strfmt-dev,
 golang-github-go-openapi-swag-dev,
 golang-github-go-openapi-validate-dev,
 golang-github-google-trillian-dev,
 golang-github-hashicorp-go-cleanhttp-dev,
 golang-github-hashicorp-go-retryablehttp-dev,
 golang-github-in-toto-in-toto-golang-dev,
 golang-github-jedisct1-go-minisign-dev,
 golang-github-mitchellh-go-homedir-dev,
 golang-github-sassoftware-relic-dev,
 golang-github-sigstore-protobuf-specs-dev,
 golang-github-sigstore-sigstore-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-viper-dev,
 golang-github-theupdateframework-go-tuf-dev,
 golang-github-transparency-dev-merkle-dev,
 golang-github-veraison-go-cose-dev,
 golang-go.uber-zap-dev,
 golang-golang-x-crypto-dev,
 golang-google-protobuf-dev,
 golang-k8s-sigs-release-utils-dev,
 golang-webpki-org-jsoncanonicalizer-dev (>> 0.20210204-1.1~),
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/rekor
Vcs-Git: https://salsa.debian.org/go-team/packages/rekor.git
Homepage: https://github.com/sigstore/rekor
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/sigstore/rekor

Package: rekor
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Description: Software Supply Chain Transparency Log (program)
 Rekor's goals are to provide an immutable tamper resistant ledger of
 metadata generated within a software projects supply chain. Rekor will
 enable software maintainers and build systems to record signed metadata
 to an immutable record. Other parties can then query said metadata to
 enable them to make informed decisions on trust and non-repudiation of an
 object's lifecycle.
 .
 The Rekor project provides a restful API based server for validation and
 a transparency log for storage. A CLI application is available to make
 and verify entries, query the transparency log for inclusion proof,
 integrity verification of the transparency log or retrieval of entries
 by either public key or artifact.
 .
 Rekor fulfils the signature transparency role of sigstore's software
 signing infrastructure. However, Rekor can be run on its own and is
 designed to be extensible to working with different manifest schemas and
 PKI tooling.
 .
 This package contains the command-line tool rekor-cli.

Package: golang-github-sigstore-rekor-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-asaskevich-govalidator-dev (>> 11.0.1~),
 golang-github-blang-semver-dev,
 golang-github-go-chi-chi-dev,
 golang-github-go-openapi-errors-dev,
 golang-github-go-openapi-runtime-dev,
 golang-github-go-openapi-strfmt-dev,
 golang-github-go-openapi-swag-dev,
 golang-github-go-openapi-validate-dev,
 golang-github-google-trillian-dev,
 golang-github-hashicorp-go-cleanhttp-dev,
 golang-github-hashicorp-go-retryablehttp-dev,
 golang-github-in-toto-in-toto-golang-dev,
 golang-github-jedisct1-go-minisign-dev,
 golang-github-mitchellh-go-homedir-dev,
 golang-github-sassoftware-relic-dev,
 golang-github-sigstore-protobuf-specs-dev,
 golang-github-sigstore-sigstore-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-viper-dev,
 golang-github-theupdateframework-go-tuf-dev,
 golang-github-transparency-dev-merkle-dev,
 golang-github-veraison-go-cose-dev,
 golang-go.uber-zap-dev,
 golang-golang-x-crypto-dev,
 golang-google-protobuf-dev,
 golang-k8s-sigs-release-utils-dev,
 golang-webpki-org-jsoncanonicalizer-dev (>> 0.20210204-1.1~),
 ${misc:Depends},
Description: Software Supply Chain Transparency Log (library)
 Rekor's goals are to provide an immutable tamper resistant ledger of
 metadata generated within a software projects supply chain. Rekor will
 enable software maintainers and build systems to record signed metadata
 to an immutable record. Other parties can then query said metadata to
 enable them to make informed decisions on trust and non-repudiation of an
 object's lifecycle.
 .
 The Rekor project provides a restful API based server for validation and
 a transparency log for storage. A CLI application is available to make
 and verify entries, query the transparency log for inclusion proof,
 integrity verification of the transparency log or retrieval of entries
 by either public key or artifact.
 .
 Rekor fulfils the signature transparency role of sigstore's software
 signing infrastructure. However, Rekor can be run on its own and is
 designed to be extensible to working with different manifest schemas and
 PKI tooling.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_BUILDPKG="github.com/sigstore/rekor/cmd/rekor-cli"

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	rm -rfv _build/src/github.com/sigstore/rekor/pkg/types/rpm
	dh_auto_build $(DH_BUILD_OPTS)

## rekor 1.3.6

=== debian/changelog ===
rekor (1.3.6-2) unstable; urgency=medium

  * Drop TUF dependency (deprecated upstream), and bump
    to TUF-less sigstore-sigstore.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 23 Oct 2024 19:53:41 +0200

rekor (1.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.7.0.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 23 Sep 2024 19:49:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: rekor
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Simon Josefsson <simon@josefsson.org>,
@@ -27,10 +26,9 @@
  golang-github-mitchellh-go-homedir-dev,
  golang-github-sassoftware-relic-dev,
  golang-github-sigstore-protobuf-specs-dev,
- golang-github-sigstore-sigstore-dev,
+ golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
  golang-github-spf13-cobra-dev,
  golang-github-spf13-viper-dev,
- golang-github-theupdateframework-go-tuf-dev,
  golang-github-transparency-dev-merkle-dev,
  golang-github-veraison-go-cose-dev,
  golang-go.uber-zap-dev,
@@ -38,7 +36,7 @@
  golang-google-protobuf-dev,
  golang-k8s-sigs-release-utils-dev,
  golang-webpki-org-jsoncanonicalizer-dev (>> 0.20210204-1.1~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/rekor
 Vcs-Git: https://salsa.debian.org/go-team/packages/rekor.git
 Homepage: https://github.com/sigstore/rekor
@@ -93,10 +91,9 @@
  golang-github-mitchellh-go-homedir-dev,
  golang-github-sassoftware-relic-dev,
  golang-github-sigstore-protobuf-specs-dev,
- golang-github-sigstore-sigstore-dev,
+ golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
  golang-github-spf13-cobra-dev,
  golang-github-spf13-viper-dev,
- golang-github-theupdateframework-go-tuf-dev,
  golang-github-transparency-dev-merkle-dev,
  golang-github-veraison-go-cose-dev,
  golang-go.uber-zap-dev,

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,6 @@
 
 override_dh_auto_build:
 	rm -rfv _build/src/github.com/sigstore/rekor/pkg/types/rpm
+	rm -rfv _build/src/github.com/sigstore/rekor/pkg/types/tuf
+	rm -rfv _build/src/github.com/sigstore/rekor/pkg/pki/tuf
 	dh_auto_build $(DH_BUILD_OPTS)

## rekor 1.3.7

=== debian/changelog ===
rekor (1.3.7-1) unstable; urgency=medium

  * New upstream version 1.3.7
  * d/salsa-ci.yml: Build rdeps.  Tighten lintian/autopkgtest checks.
  * Ship rekor-cli.1 manpage.
  * Bump d/* copyright years.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 15 Jan 2025 12:56:36 +0100

=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
  golang-google-protobuf-dev,
  golang-k8s-sigs-release-utils-dev,
  golang-webpki-org-jsoncanonicalizer-dev (>> 0.20210204-1.1~),
+ help2man <!nodoc>,
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/rekor
 Vcs-Git: https://salsa.debian.org/go-team/packages/rekor.git

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk # DEB_VERSION
 
 export DH_GOLANG_BUILDPKG="github.com/sigstore/rekor/cmd/rekor-cli"
 
@@ -10,3 +12,15 @@
 	rm -rfv _build/src/github.com/sigstore/rekor/pkg/types/tuf
 	rm -rfv _build/src/github.com/sigstore/rekor/pkg/pki/tuf
 	dh_auto_build $(DH_BUILD_OPTS)
+
+B = $(CURDIR)/debian/tmp/usr/bin
+M = $(CURDIR)/debian/rekor/usr/share/man/man1
+
+execute_after_dh_auto_install:
+ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
+	mkdir -pv $(M)
+	env PATH=$(PATH):$(B) \
+		help2man --no-info --version-string="$(DEB_VERSION)" \
+		--no-discard-stderr -Idebian/rekor-cli.h2m \
+		rekor-cli -o $(M)/rekor-cli.1
+endif

## rekor 1.3.9

=== debian/changelog ===
rekor (1.3.9-1) unstable; urgency=medium

  * New upstream version 1.3.9
  * Standards-Version: 4.7.2.
  * Improve man page building.
  * Use dh-golang-sequence.
  * Add B-D's.
  * gbp.conf: Use debian-branch=debian/latest.
  * Disable KMS, similar to cosign patch.
  * Add Static-Built-Using, suggested by lintian.
  * dh: Use execute_before instead of override.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 10 Apr 2025 02:15:52 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-golang,
+ dh-sequence-golang,
  golang-any,
  golang-github-asaskevich-govalidator-dev (>> 11.0.1~),
  golang-github-blang-semver-dev,
@@ -27,8 +27,12 @@
  golang-github-sassoftware-relic-dev,
  golang-github-sigstore-protobuf-specs-dev,
  golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
+ golang-github-smallstep-crypto-dev,
  golang-github-spf13-cobra-dev,
  golang-github-spf13-viper-dev,
+ golang-github-tink-crypto-tink-go-awskms-dev,
+ golang-github-tink-crypto-tink-go-dev,
+ golang-github-tink-crypto-tink-go-gcpkms-dev,
  golang-github-transparency-dev-merkle-dev,
  golang-github-veraison-go-cose-dev,
  golang-go.uber-zap-dev,
@@ -37,7 +41,7 @@
  golang-k8s-sigs-release-utils-dev,
  golang-webpki-org-jsoncanonicalizer-dev (>> 0.20210204-1.1~),
  help2man <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/rekor
 Vcs-Git: https://salsa.debian.org/go-team/packages/rekor.git
 Homepage: https://github.com/sigstore/rekor
@@ -51,6 +55,8 @@
  ${shlibs:Depends},
 Built-Using:
  ${misc:Built-Using},
+Static-Built-Using:
+ ${misc:Static-Built-Using},
 Description: Software Supply Chain Transparency Log (program)
  Rekor's goals are to provide an immutable tamper resistant ledger of
  metadata generated within a software projects supply chain. Rekor will
@@ -93,8 +99,12 @@
  golang-github-sassoftware-relic-dev,
  golang-github-sigstore-protobuf-specs-dev,
  golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
+ golang-github-smallstep-crypto-dev,
  golang-github-spf13-cobra-dev,
  golang-github-spf13-viper-dev,
+ golang-github-tink-crypto-tink-go-awskms-dev,
+ golang-github-tink-crypto-tink-go-dev,
+ golang-github-tink-crypto-tink-go-gcpkms-dev,
  golang-github-transparency-dev-merkle-dev,
  golang-github-veraison-go-cose-dev,
  golang-go.uber-zap-dev,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/sigstore/rekor/tags .*/v?(\d\S*)\.tar\.gz debian

## rekor 1.3.10

=== debian/changelog ===
rekor (1.3.10-1) experimental; urgency=medium

  * New upstream version 1.3.10

 -- Simon Josefsson <simon@josefsson.org>  Wed, 14 May 2025 13:28:08 +0200

## rekor 1.4.0

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 .PHONY: all test clean clean-gen lint gosec ko ko-local cross-cli gocovmerge
 
-all: rekor-cli rekor-server
+all: rekor-cli rekor-server ## Build all binaries (rekor-cli and rekor-server)
 
 include Makefile.swagger
 
@@ -63,51 +63,51 @@
 CLI_LDFLAGS=$(REKOR_LDFLAGS)
 SERVER_LDFLAGS=$(REKOR_LDFLAGS)
 
-Makefile.swagger: $(SWAGGER) $(OPENAPIDEPS)
+Makefile.swagger: $(SWAGGER) $(OPENAPIDEPS) ## Generate Swagger code and Makefile
 	$(SWAGGER) validate openapi.yaml
 	$(SWAGGER) generate client -f openapi.yaml -q -r COPYRIGHT.txt -t pkg/generated --additional-initialism=TUF --additional-initialism=DSSE
 	$(SWAGGER) generate server -f openapi.yaml -q -r COPYRIGHT.txt -t pkg/generated --exclude-main -A rekor_server --flag-strategy=pflag --default-produces application/json --additional-initialism=TUF --additional-initialism=DSSE
 	@echo "# This file is generated after swagger runs as part of the build; do not edit!" > Makefile.swagger
 	@echo "SWAGGER_GEN=`find pkg/generated/client pkg/generated/models pkg/generated/restapi -iname '*.go' | grep -v 'configure_rekor_server' | sort -d | tr '\n' ' ' | sed 's/ $$//'`" >> Makefile.swagger;
 
-lint:
+lint: ## Run golangci-lint checks
 	$(GOBIN)/golangci-lint run -v ./...
 
-gosec:
+gosec: ## Run gosec security scanner
 	$(GOBIN)/gosec ./...
 
-rekor-cli: $(SRCS)
+rekor-cli: $(SRCS) ## Build the rekor command-line interface
 	CGO_ENABLED=0 go build -trimpath -ldflags "$(CLI_LDFLAGS)" -o rekor-cli ./cmd/rekor-cli
 
-rekor-server: $(SRCS)
+rekor-server: $(SRCS) ## Build the rekor server
 	CGO_ENABLED=0 go build -trimpath -ldflags "$(SERVER_LDFLAGS)" -o rekor-server ./cmd/rekor-server
 
-backfill-index: $(SRCS)
+backfill-index: $(SRCS) ## Build the backfill-index utility
 	CGO_ENABLED=0 go build -trimpath -ldflags "$(SERVER_LDFLAGS)" -o backfill-index ./cmd/backfill-index
 
-test:
+test: ## Run all tests
 	go test ./...
 
-gocovmerge: $(GOCOVMERGE)
+gocovmerge: $(GOCOVMERGE) ## Merge coverage profiles
 
-clean:
+clean: ## Remove built binaries and artifacts
 	rm -rf dist
 	rm -rf hack/tools/bin
 	rm -rf rekor-cli rekor-server
 	rm -f *fuzz.zip
 
-clean-gen: clean
+clean-gen: clean ## Clean generated files and swagger code
 	rm -rf $(SWAGGER_GEN)
 
-up:
+up: ## Start services using docker-compose
 	docker-compose -f docker-compose.yml build --build-arg SERVER_LDFLAGS="$(SERVER_LDFLAGS)"
 	docker-compose -f docker-compose.yml up
 
-debug:
+debug: ## Start services in debug mode
 	docker-compose -f docker-compose.yml -f docker-compose.debug.yml build --build-arg SERVER_LDFLAGS="$(SERVER_LDFLAGS)" rekor-server-debug
 	docker-compose -f docker-compose.yml -f docker-compose.debug.yml up rekor-server-debug
 
-ko:
+ko: ## Build and publish container images using ko
 	# rekor-server
 	LDFLAGS="$(SERVER_LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
 	KO_DOCKER_REPO=$(KO_PREFIX)/rekor-server ko resolve --bare \
@@ -126,22 +126,20 @@
 		--platform=all --tags $(GIT_VERSION) --tags $(GIT_HASH) \
 		--image-refs bIndexImagerefs github.com/sigstore/rekor/cmd/backfill-index
 
-deploy:
+deploy: ## Deploy to Kubernetes using ko
 	LDFLAGS="$(SERVER_LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) ko apply -f config/
 
-e2e:
+e2e: ## Build and prepare end-to-end tests
 	go test -c -tags=e2e ./tests
 	go test -c -tags=e2e ./pkg/pki/x509
 	go test -c -tags=e2e ./pkg/pki/tuf
 	go test -c -tags=e2e ./pkg/types/rekord
 
-.PHONY: sign-keyless-ci
-sign-keyless-ci: ko
+sign-keyless-ci: ko ## Sign container images using keyless signing
 	cosign sign --yes -a GIT_HASH=$(GIT_HASH) $(KO_DOCKER_REPO)/rekor-server:$(GIT_HASH)
 	cosign sign --yes -a GIT_HASH=$(GIT_HASH) $(KO_DOCKER_REPO)/rekor-cli:$(GIT_HASH)
 
-.PHONY: ko-local
-ko-local:
+ko-local: ## Build container images locally using ko
 	KO_DOCKER_REPO=ko.local LDFLAGS="$(SERVER_LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
 	ko publish --base-import-paths \
 		--tags $(GIT_VERSION) --tags $(GIT_HASH) --image-refs rekorImagerefs \
@@ -157,9 +155,7 @@
 		--tags $(GIT_VERSION) --tags $(GIT_HASH) --image-refs indexImagerefs \
 		github.com/sigstore/rekor/cmd/backfill-index
 
-.PHONY: fuzz
-# This runs the fuzz tests for a short period of time to ensure they don't crash.
-fuzz:
+fuzz: ## Run fuzz tests for a configured duration
 	go test -fuzz FuzzCreateEntryIDFromParts -fuzztime $(FUZZ_DURATION) ./pkg/sharding
 	go test -fuzz FuzzGetUUIDFromIDString -fuzztime $(FUZZ_DURATION) ./pkg/sharding
 	go test -fuzz FuzzGetTreeIDFromIDString -fuzztime $(FUZZ_DURATION) ./pkg/sharding
@@ -174,23 +170,23 @@
 ## Tooling Binaries
 ## --------------------------------------
 
-$(GO-FUZZ-BUILD): $(TOOLS_DIR)/go.mod
+$(GO-FUZZ-BUILD): $(TOOLS_DIR)/go.mod ## Build go-fuzz-build tool
 	cd $(TOOLS_DIR); go build -trimpath -tags=tools -o $(TOOLS_BIN_DIR)/go-fuzz-build github.com/dvyukov/go-fuzz/go-fuzz-build
 
-$(SWAGGER): $(TOOLS_DIR)/go.mod
+$(SWAGGER): $(TOOLS_DIR)/go.mod ## Build swagger tool
 	cd $(TOOLS_DIR); go build -trimpath -tags=tools -o $(TOOLS_BIN_DIR)/swagger github.com/go-swagger/go-swagger/cmd/swagger
 
-$(GOCOVMERGE): $(TOOLS_DIR)/go.mod
+$(GOCOVMERGE): $(TOOLS_DIR)/go.mod ## Build gocovmerge tool
 	cd $(TOOLS_DIR); go build -trimpath -tags=tools -o $(TOOLS_BIN_DIR)/gocovmerge github.com/wadey/gocovmerge
 
 ##################
 # help
 ##################
 
-help: # Display help
-	@awk -F ':|##' \
-		'/^[^\t].+?:.*?##/ (\
-			printf "\033[36m%-30s\033[0m %s\n", $$1, $$NF \
-		)' $(MAKEFILE_LIST) | sort
+help: ## Display this help message
+	@echo "Usage: make <target>"
+	@echo ""
+	@echo "Targets:"
+	@awk 'BEGIN {FS = ":.*?## "} /^[a-zA-Z0-9_-]+:.*?## / {printf "  \033[36m%-20s\033[0m %s\n", $$1, $$2}' $(MAKEFILE_LIST)
 
 include release/release.mk

=== debian/changelog ===
rekor (1.4.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream version 1.4.0
  * Refresh disable-kms.patch.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 19 Aug 2025 22:23:06 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk # DEB_VERSION

export DH_GOLANG_BUILDPKG="github.com/sigstore/rekor/cmd/rekor-cli"

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_before_dh_auto_build:
	rm -rfv _build/src/github.com/sigstore/rekor/pkg/types/rpm
	rm -rfv _build/src/github.com/sigstore/rekor/pkg/types/tuf
	rm -rfv _build/src/github.com/sigstore/rekor/pkg/pki/tuf

B = $(CURDIR)/debian/tmp/usr/bin
M = $(CURDIR)/debian/rekor/usr/share/man/man1

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
execute_before_dh_installman-arch:
	mkdir -pv $(M)
	env PATH=$(PATH):$(B) \
		help2man --no-info --version-string="$(DEB_VERSION)" \
		--no-discard-stderr -Idebian/rekor-cli.h2m \
		rekor-cli -o $(M)/rekor-cli.1
endif

## rekor 1.4.2

=== debian/changelog ===
rekor (1.4.2-1) unstable; urgency=medium

  * Use watch v5.
  * Modernize Salsa CI.
  * Drop Rules-Requires-Root: no.
  * New upstream version 1.4.2

 -- Simon Josefsson <simon@josefsson.org>  Wed, 08 Oct 2025 22:48:14 +0200

=== debian/control ===
--- 
+++ 
@@ -45,7 +45,6 @@
 Vcs-Browser: https://salsa.debian.org/go-team/packages/rekor
 Vcs-Git: https://salsa.debian.org/go-team/packages/rekor.git
 Homepage: https://github.com/sigstore/rekor
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/sigstore/rekor
 
 Package: rekor

=== debian/watch ===
Version: 5
Template: Github
Owner: sigstore
Project: rekor

## rekor 1.4.3

=== debian/changelog ===
rekor (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3
  * Update B-D's
  * Refresh patches

 -- Simon Josefsson <simon@josefsson.org>  Mon, 08 Dec 2025 14:25:12 +0100

=== debian/control ===
--- 
+++ 
@@ -18,12 +18,12 @@
  golang-github-go-openapi-strfmt-dev,
  golang-github-go-openapi-swag-dev,
  golang-github-go-openapi-validate-dev,
+ golang-github-go-viper-mapstructure-dev,
  golang-github-google-trillian-dev,
  golang-github-hashicorp-go-cleanhttp-dev,
  golang-github-hashicorp-go-retryablehttp-dev,
  golang-github-in-toto-in-toto-golang-dev,
  golang-github-jedisct1-go-minisign-dev,
- golang-github-mitchellh-go-homedir-dev,
  golang-github-sassoftware-relic-dev,
  golang-github-sigstore-protobuf-specs-dev,
  golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
@@ -89,12 +89,12 @@
  golang-github-go-openapi-strfmt-dev,
  golang-github-go-openapi-swag-dev,
  golang-github-go-openapi-validate-dev,
+ golang-github-go-viper-mapstructure-dev,
  golang-github-google-trillian-dev,
  golang-github-hashicorp-go-cleanhttp-dev,
  golang-github-hashicorp-go-retryablehttp-dev,
  golang-github-in-toto-in-toto-golang-dev,
  golang-github-jedisct1-go-minisign-dev,
- golang-github-mitchellh-go-homedir-dev,
  golang-github-sassoftware-relic-dev,
  golang-github-sigstore-protobuf-specs-dev,
  golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),

## rekor 1.5.0

=== debian/changelog ===
rekor (1.5.0-1) unstable; urgency=medium

  * New upstream version
    - Fix CVE-2026-23831 (Closes: #1126275)
    - Fix CVE-2026-24117 (Closes: #1126276)
  * Drop Priority: optional
  * Standards-Version: 4.7.3
  * Bump debian/* copyright years

 -- Simon Josefsson <simon@josefsson.org>  Wed, 04 Feb 2026 23:10:05 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
  Simon Josefsson <simon@josefsson.org>,
 Section: golang
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
@@ -41,7 +40,7 @@
  golang-k8s-sigs-release-utils-dev,
  golang-webpki-org-jsoncanonicalizer-dev (>> 0.20210204-1.1~),
  help2man <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/rekor
 Vcs-Git: https://salsa.debian.org/go-team/packages/rekor.git
 Homepage: https://github.com/sigstore/rekor
